# Ensure GSDLHOME is set
if [ "x$GSDLHOME" = "x" ] ; then
    echo "Error! GSDLHOME not set - source setup.bash in Greenstone first";
    exit 1
fi

# Sus out what languages to build in
all_langs="en es ru fr ar"
if [ "$1" == "all" ]; then
	langs=$all_langs

elif [ "$1" != "" ]; then
        langs=$1
else
	echo "choose a language to work with out of: $all_langs"
	echo "choose 'all' for all languages"
	echo -n "> "
	read langs
	if [ "$langs" = "all" ]; then
		langs=$all_langs
	fi
fi

# Call the gli-help generation for each applicable language
for l in $langs; do
    echo -n "Processing the gli-help in $l..."
    java -DGSDLHOME="$GSDLHOME" -cp .:xalan.jar ApplyXSLT $l ../manuals/processing/gen-gli-help-to-manual-chapter.xsl $GSDLHOME/gli/help/$l/help.xml > ../manuals/xml-source/$l/help-en.xml
done